// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.CommandBase;
import edu.wpi.first.wpilibj2.command.SequentialCommandGroup;
import frc.robot.subsystems.Poussoir;
import frc.robot.subsystems.Pistonshaker;

public class BoutonA extends CommandBase {
  private Poussoir poussoir; 
  private Pistonshaker pistonshaker;
  /** Creates a new boutonA. */
  public BoutonA(Poussoir poussoir, Pistonshaker pistonshaker) {
    this.poussoir = poussoir;
    this.pistonshaker = pistonshaker;
    addRequirements(poussoir, pistonshaker);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {
    new SequentialCommandGroup (
new Activer_poussoir(poussoir).withTimeout(2),
new Activershaker(pistonshaker));
    
  }

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {}

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
  poussoir.tirer();
  pistonshaker.sortirpiston();

  }
  @Override
  public boolean isFinished() {
    return false;
  }
}
